Update conversation
curl --request PATCH \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archive": true,
"important": true,
"contact_id": "<string>"
}
'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}"
payload = {
"archive": True,
"important": True,
"contact_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archive: true, important: true, contact_id: '<string>'})
};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "8977617953",
"contact_id": "qtr89df0-112d-d197-b541-3f8674663246",
"archived": 0,
"important": 1,
"created_at": "2024-06-14T15:45:34+00:00",
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
}
Conversations
Update conversation
Update a conversation’s properties.
PATCH
/
chatbots
/
{chatbotId}
/
conversations
/
{conversationId}
Update conversation
Request parameters
Path
string
required
The chatbot ID.
string
required
The conversation ID.
Body
At least one of the following properties is required.boolean
Whether to archive the conversation.
boolean
Whether to mark the conversation as important.
string
The ID of the contact to associate with the conversation.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
Show properties
Show properties
string
The unique identifier of the conversation.
string
The unique identifier of the contact associated with the conversation.
boolean
Whether the conversation is archived (by the admin).
boolean
Whether the conversation is marked as important.
string
The date and time when the conversation was created.
array
Show properties
Show properties
string
The unique identifier of the message.
string
The text content of the message.
string
The role of the sender of the message (bot, user, or system).
boolean
Whether the message is generated by the AI using the knowledge base.
object
The data of the message. Varies depending on the message type.
string
The date and time when the message was created.
{
"status": "success",
"data": {
"id": "8977617953",
"contact_id": "qtr89df0-112d-d197-b541-3f8674663246",
"archived": 0,
"important": 1,
"created_at": "2024-06-14T15:45:34+00:00",
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
}
⌘I

